Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.core
Class SerializedObject

    java.lang.Object
      weka.core.SerializedObject

All Implemented Interfaces:
  java.io.Serializable

    public class SerializedObject

extends java.lang.Object
implements java.io.Serializable

Class for storing an object in serialized form in memory. It can be used to make deep copies of objects, and also allows compression to conserve memory.

Version:
  $Revision: 1.7 $
Author:
  Richard Kirkby (rbk1@cs.waikato.ac.nz)
See Also:
  Serialized Form

Constructor Summary
`SerializedObject(java.lang.Object toStore)` Creates a new serialized object (without compression).
`SerializedObject(java.lang.Object toStore, boolean compress)` Creates a new serialized object.

Method Summary
`boolean` | `equals(java.lang.Object compareTo)`
`java.lang.Object` | `getObject()` Returns a serialized object.
`int` | `hashCode()` Returns a hashcode for this object.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializedObject

    public SerializedObject(java.lang.Object toStore)
                     throws java.lang.Exception

  Creates a new serialized object (without compression).

  Parameters:
    `toStore` - the object to store
    `compress` - whether or not to use compression
  Throws:
    `java.lang.Exception` - if the object couldn't be serialized

### SerializedObject

    public SerializedObject(java.lang.Object toStore,
                            boolean compress)
                     throws java.lang.Exception

  Creates a new serialized object.

  Parameters:
    `toStore` - the object to store
    `compress` - whether or not to use compression
  Throws:
    `java.lang.Exception` - if the object couldn't be serialized

Method Detail

### equals

    public final boolean equals(java.lang.Object compareTo)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Returns a hashcode for this object.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    the hashcode

### getObject

    public java.lang.Object getObject()

  Returns a serialized object.

  Returns:
    the restored object
  Throws:
    `java.lang.Exception` - if the object couldn't be restored

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD